actions: []
api_documentation: http://docs.ros.org/en/noetic/api/imagesift/html
authors: Rosen Diankov (rdiankov@cs.cmu.edu), Kei Okada
brief: ''
bugtracker: http://github.com/jsk-ros-pkg/jsk_recognition/issues
depends:
- catkin
- cmake_modules
- cv_bridge
- image_transport
- jsk_recognition_utils
- jsk_topic_tools
- libsiftfast
- nodelet
- posedetection_msgs
- ros_environment
- roscpp
- sensor_msgs
depends_on:
- jsk_perception
- jsk_recognition
description: "For every image, computes its sift features and send a new message with\
  \ the image, its intrinsic parameters, and the features.\n    Parameters include:\n\
  \    display - shows the image on the local computer"
devel_jobs:
- https://build.ros.org/view/Ndev/job/Ndev__jsk_recognition__ubuntu_focal_amd64
doc_job: https://build.ros.org/view/Ndoc/job/Ndoc__jsk_recognition__ubuntu_focal_amd64
has_changelog_rst: true
license: LGPL
maintainer_status: developed
maintainers: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
metapackages:
- jsk_recognition
msgs: []
package_type: package
release_jobs:
- https://build.ros.org/view/Nsrc_uF/job/Nsrc_uF__imagesift__ubuntu_focal__source
- https://build.ros.org/view/Nbin_uF64/job/Nbin_uF64__imagesift__ubuntu_focal_amd64__binary
- https://build.ros.org/view/Nbin_ufhf_uFhf/job/Nbin_ufhf_uFhf__imagesift__ubuntu_focal_armhf__binary
- https://build.ros.org/view/Nbin_ufv8_uFv8/job/Nbin_ufv8_uFv8__imagesift__ubuntu_focal_arm64__binary
repo_name: jsk_recognition
repo_url: http://github.com/jsk-ros-pkg/jsk_recognition
srvs: []
timestamp: 1747392796.940411
url: https://jsk-docs.readthedocs.io/projects/jsk_recognition/en/latest/imagesift
vcs: git
vcs_uri: https://github.com/jsk-ros-pkg/jsk_recognition.git
vcs_version: master
